/*
 * Secure X Message Passing Library v2 examples.
 *
 * (c) Alexander Vdolainen 2013-2015 <avdolainen@gmail.com>
 * (c) Alexander Vdolainen 2016 <avdolainen@zoho.com>
 *
 * libsxmp is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * libsxmp is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.";
 *
 */

#ifndef __SXMP_EXAMPLES_SMPF_H__
#define __SXMP_EXAMPLES_SMPF_H__

#define DEFAULT_PORT  9090

#define PUBLIC_CHANNEL      1
#define READONLY_CHANNEL    8
#define WRITEONLY_CHANNEL   12

#define DIRLIST_ID       20
#define FILERO_ID        22
#define FILERW_ID        23
#define DIRSTATLIST_ID   26

#define PING_CMD    "ping"
#define CWD_CMD     "cwd"
#define GETCWD_CMD  "getcwd"
#define CREAT_CMD   "creat"
#define MKDIR_CMD   "mkdir"
#define STAT_CMD    "stat"
#define RMDIR_CMD   "rmdir"
#define UNLINK_CMD  "remove"

#define DEFAULT_ROOT_DIR  "/"

#define MAX_CWDLEN   4096

#endif /* __SXMP_EXAMPLES_SMPF_H__ */
